# Uses of Enum Class
org.apache.sysds.runtime.transform.TfUtils.TfMethod

Packages that use TfUtils.TfMethod
Package
Description
org.apache.sysds.runtime.transform
org.apache.sysds.runtime.transform.meta

## Uses of TfUtils.TfMethod in org.apache.sysds.runtime.transform

Methods in org.apache.sysds.runtime.transform that return TfUtils.TfMethod
Modifier and Type
Method
Description
`static TfUtils.TfMethod`
TfUtils.TfMethod.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TfUtils.TfMethod[]`
TfUtils.TfMethod.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of TfUtils.TfMethod in org.apache.sysds.runtime.transform.meta

Methods in org.apache.sysds.runtime.transform.meta with parameters of type TfUtils.TfMethod
Modifier and Type
Method
Description
`static boolean`
TfMetaUtils.`checkValidEncoders(org.apache.wink.json4j.JSONObject jSpec, TfUtils.TfMethod... encoders)`